ru.bitel.bgbilling.modules.inet.access.manage.event

## Class InetDeviceManageEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
      - - ru.bitel.bgbilling.modules.inet.access.manage.event.InetDeviceManageEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetDeviceManageEvent
      extends PartitionedQueueEvent

  Задание на выполнение команды.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetDeviceManageEvent()`
    `` | `InetDeviceManageEvent(int moduleId, int userId, int invDeviceId, int inetDeviceId, java.lang.String operation, int servId, int connectionId)`
    `` | `InetDeviceManageEvent(int moduleId, int userId, int invDeviceId, java.lang.String operation, int servId, int connectionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeviceId()`
    `java.lang.String` | `getOperation()`
    `protected java.lang.String` | `getPackageName()`
    `protected int` | `getPartitionValue()`
    `java.lang.Object` | `getResult()`
    `int` | `getServId()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setResult(java.lang.Object result)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

      `getDestination, getDestinationMask`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetDeviceManageEvent

          protected InetDeviceManageEvent()

    - #### InetDeviceManageEvent

          public InetDeviceManageEvent(int moduleId,
                                       int userId,
                                       int invDeviceId,
                                       java.lang.String operation,
                                       int servId,
                                       int connectionId)

    - #### InetDeviceManageEvent

          public InetDeviceManageEvent(int moduleId,
                                       int userId,
                                       int invDeviceId,
                                       int inetDeviceId,
                                       java.lang.String operation,
                                       int servId,
                                       int connectionId)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getServId

          public int getServId()

    - #### getOperation

          public java.lang.String getOperation()

    - #### getResult

          public java.lang.Object getResult()

    - #### setResult

          public void setResult(java.lang.Object result)

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### getPackageName

          protected java.lang.String getPackageName()

      Specified by:
        `getPackageName` in class `PartitionedQueueEvent`

    - #### getPartitionValue

          protected int getPartitionValue()

      Specified by:
        `getPartitionValue` in class `PartitionedQueueEvent`